### Virtual Method

# Gio Volume get_drive

#### Declaration [src]

    GDrive*
    get_drive (
      GVolume* volume
    )

#### Description [src]

Gets the drive for the `volume`.

#### Return value

Type: `GDrive`

A `GDrive` or `NULL` if `volume` is not associated with a drive. The returned object should be unreffed with `g_object_unref()` when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.